Skip to main content
`Ctrl`+`K`

# NEPSLPSetDeflationThreshold

Sets the threshold value used to switch between deflated and non-deflated iteration.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPSetDeflationThreshold(NEP nep,PetscReal deftol)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- deftol - the threshold value

## Options Database Key

- -nep_slp_deflation_threshold deftol - set the threshold

## Notes

Normally, the solver iterates on the extended problem in order to deflate previously converged eigenpairs. If this threshold is set to a nonzero value, then once the residual error is below this threshold the solver will continue the iteration without deflation. The intention is to be able to improve the current eigenpair further, despite having previous eigenpairs with somewhat bad precision.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSLP`, `NEPSLPGetDeflationThreshold()`

## Level

advanced

## Location

src/nep/impls/slp/slp.c

## Implementations

NEPSLPSetDeflationThreshold_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages